| Boost.Hana 1.7.1 Your standard library for metaprogramming |

Namespaces | Functions
integral_constant.hpp File Reference

Forward declares `boost::hana::integral_constant`. More...

## Namespaces
| boost::hana
| Namespace containing everything in the library.
| boost::hana::literals
| Namespace containing C++14 user-defined literals provided by Hana.

## Functions
template<char ... c>
constexpr auto | boost::hana::literals::operator""_c ()
| Creates a `hana::integral_constant` from a literal. More...

## Detailed Description

Forward declares `boost::hana::integral_constant`.

Copyright
  Louis Dionne 2013-2017 Distributed under the Boost Software License, Version 1.0. (See accompanying file LICENSE.md or copy at http://boost.org/LICENSE_1_0.txt)